=== debian/control ===
Source: tcl8.6
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Tcl/Tk Debian Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.tcl.tk/

Package: tcl8.6
Section: interpreters
Priority: optional
Architecture: any
Depends: ${misc:Depends}, tcl8.6-lib (= ${binary:Version})
Conflicts: tcl74 (<= 7.4p3-2)
Provides: tclsh
Suggests: tcl-tclreadline
Multi-Arch: foreign
Description: Tcl (the Tool Command Language) v8.6 - run-time files
 Tcl is a powerful, easy to use, embeddable, cross-platform interpreted
 scripting language.  This package contains everything you need to run
 Tcl scripts and Tcl-enabled apps.  This version includes thread support.

Package: tcl8.6-lib
Section: interpreters
Priority: optional
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: tcl74 (<= 7.4p3-2)
Multi-Arch: same
Description: Tcl (the Tool Command Language) v8.6 - run-time library files
 Tcl is a powerful, easy to use, embeddable, cross-platform interpreted
 scripting language.  This package contains the tcl library.  This version 
 includes thread support.

Package: tcl8.6-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Suggests: tcl8.6
Conflicts: tcldoc
Provides: tcldoc
Description: Tcl (the Tool Command Language) v8.6 - manual pages
 Tcl is a powerful, easy-to-use, embeddable, cross-platform interpreted
 scripting language.  This package contains the man pages for Tcl commands.

Package: tcl8.6-dev
Section: devel
Priority: optional
Architecture: any
Depends: tcl8.6-lib (= ${binary:Version}), tcl8.6 (= ${binary:Version}), ${misc:Depends}, dpkg-dev
Suggests: tcl8.6-doc
Multi-Arch: same
Description: Tcl (the Tool Command Language) v8.6 - development files
 Tcl is a powerful, easy-to-use, embeddable, cross-platform interpreted
 scripting language.  This package contains the headers and libraries
 needed to embed or extend Tcl.
