=== debian/watch ===
version=3
http://sf.net/tcl/tcl(8\.6\.\d+)-src\.tar\.gz
