## tcl8.6 8.6.1

=== debian/changelog ===
tcl8.6 (8.6.1-4ubuntu1) trusty; urgency=medium

  * Add Conflicts/Replaces on tcl8.6-lib (<< 8.6.0-2) for the rename.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 02 Jan 2014 15:11:34 -0700

tcl8.6 (8.6.1-4) experimental; urgency=low

  * Added the tcl8.6-dbg package with libtcl8.6 debug symbols in it.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 05 Oct 2013 10:56:25 +0400

tcl8.6 (8.6.1-3) experimental; urgency=low

  * Added zlib1g-dev to the tcl8.6-dev dependencies, because some of the
    packages (e.g. tcl-signal) use $TCL_LIBS which in turn requires zlib
    to be linked.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 27 Sep 2013 11:37:37 +0400

tcl8.6 (8.6.1-2) experimental; urgency=low

  * Renamed the development package back to tcl8.6-dev after a discussion
    on debian-devel mailing list.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 25 Sep 2013 21:56:58 +0400

tcl8.6 (8.6.1-1) experimental; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 24 Sep 2013 20:08:15 +0400

tcl8.6 (8.6.0-4) experimental; urgency=low

  * Removed unnecessary patches to init.tcl and tclPort.h.
  * Change build specs, libs and headers via a patch to tclConfig.sh.in
    instead of filtering the generated tclConfig.sh to make changes more
    visible.
  * Make libtcl8.6-dev depend on tcl8.6 for better backward compatibility.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 19 Aug 2013 21:23:07 +0400

tcl8.6 (8.6.0-3) experimental; urgency=low

  * Renamed tcl8.6-lib and tcl8.6-dev into libtcl8.6 and libtcl8.6-dev
    because it's much more common name convention.
  * Fixed debian/watch script because tcl-core archive is used as a source
    tarball.
  * Fixed maintainer's 'name'.
  * Added dpkg-dev to the libtcl8.6-dev dependencies because tclConfig.sh
    calls dpkg-architecture.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 31 Jul 2013 11:05:37 +0400

tcl8.6 (8.6.0-2) experimental; urgency=low

  * Added to tcl8.6-lib dependencies to ensure the OS-wide timezone data
    are used in the [clock] command.
  * Bumped debhelper compatibility version to 9.
  * Added multi-arch support. This includes splitting out the tcl8.6-lib
    library package with libtcl8.6.so and tclConfig.sh moved into a
    multi-archified location.
  * Recreated /usr/lib/tcl8.6/tclConfig.sh and /usr/lib/tcl8.6/tclooConfig.sh
    for backward compatibility (intend to remove in the future).
  * Removed .0 suffix from the libtcl8.6.so library in order to remove
    unnecessary diversions from the upstream practice, provided the symlink
    for backward compatibility (intend to remove in the future).
  * Switched to calculating dependency on tcl8.6-lib via a symbols table.
  * Don't use the alternatives mechanism for selecting /usr/bin/tclsh. This
    package ships only /usr/bin/tclsh8.6. The tcltk-defaults package provides
    the necessary symlink. This also means that tcl8.6 does no longer provide
    the tclsh virtual package.
  * Moved the old changelogs to the tcl8.6-doc package to reduce size of the
    tcl8.6 one.
  * Fixed clean target in debian/rules.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 11 Jul 2013 21:15:09 +0400
