=== debian/watch ===
version=3
http://sf.net/tcl/tcl-core(8\.6\.\d+)-src\.tar\.gz
