## tcl8.6 8.6.2+dfsg

=== debian/changelog ===
tcl8.6 (8.6.2+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches.
  * Added new symbols to the debian/libtcl8.6.symbols file.
  * Removed the sourceless help file compat/zlib/contrib/dotzlib/DotZLib.chm.
  * Adapted debian/watch to the new +dfsg version suffix.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 27 Aug 2014 23:01:40 +0400

tcl8.6 (8.6.1-6) unstable; urgency=low

  * Upload into unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 08 Mar 2014 08:54:46 +0400

tcl8.6 (8.6.1-5) experimental; urgency=low

  * Restored tcl8.6.prerm script which removes alternative for
    /usr/bin/tclsh8.6.
  * Added ${misc:Depends} substvar for libtcl8.6-dbg package.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Jan 2014 12:48:44 +0400
