=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: tcl8.6
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
+Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.tcl.tk/
 
 Package: tcl8.6
@@ -27,8 +26,8 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: tzdata, ${shlibs:Depends}, ${misc:Depends}
-Conflicts: tcl8.6 (<< 8.6.0-2), tcl8.6-lib (<< 8.6.0-2), tcl74 (<= 7.4p3-2)
-Replaces: tcl8.6 (<< 8.6.0-2), tcl8.6-lib (<< 8.6.0-2)
+Conflicts: tcl8.6 (<< 8.6.0-2), tcl74 (<= 7.4p3-2)
+Replaces: tcl8.6 (<< 8.6.0-2)
 Suggests: tcl8.6
 Provides: libtcl
 Multi-Arch: same
@@ -43,7 +42,7 @@
 Priority: extra
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libtcl8.6 (= ${binary:Version})
+Depends: libtcl8.6 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
 Description: Symbol files for libtcl8.6
  Tcl is a powerful, easy-to-use, embeddable, cross-platform interpreted
