=== debian/rules ===
--- 
+++ 
@@ -20,25 +20,29 @@
 endif
 endif
 
-
 %:
 	dh $@
 
 override_dh_auto_clean:
-	-make -C unix distclean
+	[ ! -f unix/Makefile ] || $(MAKE) -C unix distclean
 
 override_dh_auto_configure:
 	# So so ugly but it works...
 	touch generic/tclStubInit.c
 	TCL_LIBRARY="/usr/share/tcltk/tcl$(v)" \
-	TCL_PACKAGE_PATH="/usr/local/lib/tcltk /usr/local/share/tcltk /usr/lib/tcltk /usr/share/tcltk /usr/lib/tcltk/tcl$(v) /usr/lib" \
-	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" \
+	TCL_PACKAGE_PATH="/usr/local/lib/tcltk /usr/local/share/tcltk \
+			  /usr/lib/tcltk/$(DEB_HOST_MULTIARCH) /usr/lib/tcltk /usr/share/tcltk \
+			  /usr/lib/tcltk/tcl$(v) /usr/lib" \
+	CFLAGS="$(CFLAGS)" \
+	CPPFLAGS="$(CPPFLAGS)" \
+	TCL_SHLIB_LD_EXTRAS="-Wl,-soname,\$${TCL_LIB_FILE}" \
 	dh_auto_configure -Dunix -- \
 		      --includedir=/usr/include/tcl$(v) \
 		      --enable-shared \
 		      --enable-threads \
 		      --enable-dll-unloading \
 		      --disable-rpath \
+		      --without-tzdata \
 		      --enable-man-symlinks
 
 override_dh_auto_build:
@@ -51,7 +55,6 @@
 	  ranlib libtcl$(v).a
 
 override_dh_auto_install:
-	GZIP=-9 \
 	$(MAKE) -C unix INSTALL_ROOT=$(DIR) \
 			MAN_INSTALL_DIR=$(DIR)/usr/share/man \
 			MANN_INSTALL_DIR=$(DIR)/usr/share/man/man3 \
@@ -64,11 +67,8 @@
 	mv $(DIR)/usr/share/tcltk/tcl8/*/* $(DIR)/usr/share/tcltk/tcl$(v)/tcl8
 	# Fix up the libraries
 	cp unix/libtcl$(v).a $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)
-	#mv $(DIR)/usr/lib/libtcl$(v).so $(DIR)/usr/lib/libtcl$(v).so.0
-	#ln -sf libtcl$(v).so.0 $(DIR)/usr/lib/libtcl$(v).so
 	install -d -m 755 $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)
 	mv $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.sh $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)
-	sh debian/filterconfig $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)/tclConfig.sh
 	install -d -m 755 $(DIR)/usr/share/aclocal
 	cp unix/tcl.m4 $(DIR)/usr/share/aclocal/tcl$(v).m4
 	rm -f $(DIR)/usr/share/tcltk/tcl$(v)/ldAix
@@ -81,6 +81,9 @@
 	cp compat/*.h $(DIR)/usr/include/tcl$(v)/tcl-private/compat
 	install -d $(DIR)/usr/include/tcl$(v)/tcl-private/libtommath
 	cp libtommath/*.h $(DIR)/usr/include/tcl$(v)/tcl-private/libtommath
+	#
+	# Temporary HACK until all reverse dependencies will be rebuilt
+	ln -sf libtcl$(v).so $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libtcl$(v).so.0
 	#
 	# Fix up the manpages.
 	cd $(DIR)/usr/share/man/man1 && \
@@ -108,15 +111,29 @@
 	     fi ; \
 	  done
 
-override_dh_makeshlibs:
-	dh_makeshlibs -a -V 'tcl$(v) (>= $(v).0)' -XTcltest
+override_dh_strip:
+	dh_strip -plibtcl$(v) --dbg-package=libtcl$(v)-dbg
+	dh_strip -a -Nlibtcl$(v)
+
+override_dh_makeshlibs: /usr/share/debhelper/autoscripts/postinst-makeshlibs /usr/share/debhelper/autoscripts/postrm-makeshlibs
+	dh_makeshlibs -a -Xtcltest
+	cat /usr/share/debhelper/autoscripts/postinst-makeshlibs >>debian/libtcl$(v).postinst.debhelper
+	cat /usr/share/debhelper/autoscripts/postrm-makeshlibs >>debian/libtcl$(v).postrm.debhelper
 
 override_dh_shlibdeps:
-	dh_shlibdeps -a -ldebian/tcl$(v)/usr/lib/$(DEB_HOST_MULTIARCH)
+	dh_shlibdeps -a -ldebian/libtcl$(v)/usr/lib/$(DEB_HOST_MULTIARCH)
 
 get-orig-source:
-	wget -O tcl$(v)_$(v).0.orig.tar.gz \
-	     http://prdownloads.sourceforge.net/tcl/tcl-core$(v).0-src.tar.gz
+	CURDIR=`pwd` && \
+	TMPDIR=`mktemp -d /tmp/tcl8.6.XXXXXX` && \
+	cd $$TMPDIR && \
+	wget -O - \
+	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).2-src.tar.gz | tar -zx && \
+	for f in `find . -name *.chm` ; do \
+	    echo "REMOVING NON-FREE DOC $$f" ; rm -f $$f ; \
+	done && \
+	tar -zcf $$CURDIR/tcl$(v)_$(v).2+dfsg.orig.tar.gz tcl$(v).2 && \
+	rm -rf $$TMPDIR
 
-.PHONY: override_dh_auto_configure override_dh_auto_install override_dh_makeshlibs override_dh_shlibdeps get-orig-source
-
+.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
+	override_dh_strip override_dh_makeshlibs override_dh_shlibdeps get-orig-source
