## tcl8.6 8.6.5+dfsg

=== debian/changelog ===
tcl8.6 (8.6.5+dfsg-2) unstable; urgency=medium

  * Applied a patch by Hirofumi Ogawa to fix a segfault on exit if run on
    hardware supporting HLE/RTM extensions (closes: #818697, #817824).
  * Sort the object files inside the static library using the C locale to make
    the build reproducible (closes: #818750).
  * Bumped standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 21 Mar 2016 15:35:01 +0300

tcl8.6 (8.6.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Mar 2016 16:17:54 +0300

tcl8.6 (8.6.4+dfsg-3) unstable; urgency=medium

  * Replaced calling ldconfig in postinst/postrm scripts by a trigger
    (closes: #811120).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 16 Jan 2016 13:16:05 +0300

tcl8.6 (8.6.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 05 May 2015 14:28:21 +0300

tcl8.6 (8.6.4+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental because of the jessie freeze.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 13 Mar 2015 12:52:29 +0300

tcl8.6 (8.6.3+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental because of the jessie freeze.
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 09 Mar 2015 10:46:33 +0300
