=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,7 @@
 	$(MAKE) -C unix
 	# Build the static library
 	cd unix && \
+	  LC_ALL=C \
 	  ar cr libtcl$(v).a *.o && \
 	  ar d libtcl$(v).a tclAppInit.o && \
 	  ranlib libtcl$(v).a
@@ -115,10 +116,9 @@
 	dh_strip -plibtcl$(v) --dbg-package=libtcl$(v)-dbg
 	dh_strip -a -Nlibtcl$(v)
 
-override_dh_makeshlibs: /usr/share/debhelper/autoscripts/postinst-makeshlibs /usr/share/debhelper/autoscripts/postrm-makeshlibs
+override_dh_makeshlibs:
 	dh_makeshlibs -a -Xtcltest
-	cat /usr/share/debhelper/autoscripts/postinst-makeshlibs >>debian/libtcl$(v).postinst.debhelper
-	cat /usr/share/debhelper/autoscripts/postrm-makeshlibs >>debian/libtcl$(v).postrm.debhelper
+	echo 'activate-noawait ldconfig' >>debian/libtcl$(v).triggers
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -ldebian/libtcl$(v)/usr/lib/$(DEB_HOST_MULTIARCH)
@@ -128,11 +128,11 @@
 	TMPDIR=`mktemp -d /tmp/tcl8.6.XXXXXX` && \
 	cd $$TMPDIR && \
 	wget -O - \
-	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).2-src.tar.gz | tar -zx && \
+	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).5-src.tar.gz | tar -zx && \
 	for f in `find . -name *.chm` ; do \
-	    echo "REMOVING NON-FREE DOC $$f" ; rm -f $$f ; \
+	    echo "REMOVING NON-FREE FILE $$f" ; rm -f $$f ; \
 	done && \
-	tar -zcf $$CURDIR/tcl$(v)_$(v).2+dfsg.orig.tar.gz tcl$(v).2 && \
+	tar -zcf $$CURDIR/tcl$(v)_$(v).5+dfsg.orig.tar.gz tcl$(v).5 && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
