## tcl8.6 8.6.7+dfsg

=== debian/changelog ===
tcl8.6 (8.6.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches and the symbols table.
  * Arch-qualify TCL_CC. (closes: #870853).
  * Don't add ldconfig trigger manually since dh_makeshlibs can do it iself.
  * Bumped standards version to 4.0.1.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 10 Aug 2017 12:20:14 +0300

tcl8.6 (8.6.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Removed the patch fich fixed a segfault on exit if run on
    hardware supporting HLE/RTM extensions since the bug is fixed upstream.
  * Bumped standards version to 3.9.8.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 28 Jul 2016 06:04:49 +0300
