=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), zlib1g-dev
-Standards-Version: 3.9.7
+Standards-Version: 4.0.0
 Homepage: http://www.tcl.tk/
 
 Package: tcl8.6
