=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 export LDFLAGS
+
+ifeq ($(origin CC),default)
+CC = $(DEB_HOST_GNU_TYPE)-gcc
+endif
 
 ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 # See bug #446335 for -fno-unit-at-a-time
@@ -33,6 +37,7 @@
 	TCL_PACKAGE_PATH="/usr/local/lib/tcltk /usr/local/share/tcltk \
 			  /usr/lib/tcltk/$(DEB_HOST_MULTIARCH) /usr/lib/tcltk /usr/share/tcltk \
 			  /usr/lib/tcltk/tcl$(v) /usr/lib" \
+	CC="$(CC)" \
 	CFLAGS="$(CFLAGS)" \
 	CPPFLAGS="$(CPPFLAGS)" \
 	TCL_SHLIB_LD_EXTRAS="-Wl,-soname,\$${TCL_LIB_FILE}" \
@@ -118,21 +123,20 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -a -Xtcltest
-	echo 'activate-noawait ldconfig' >>debian/libtcl$(v).triggers
 
 override_dh_shlibdeps:
 	dh_shlibdeps -a -ldebian/libtcl$(v)/usr/lib/$(DEB_HOST_MULTIARCH)
 
 get-orig-source:
 	CURDIR=`pwd` && \
-	TMPDIR=`mktemp -d /tmp/tcl8.6.XXXXXX` && \
+	TMPDIR=`mktemp -d /tmp/tcl$(v).XXXXXX` && \
 	cd $$TMPDIR && \
 	wget -O - \
-	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).5-src.tar.gz | tar -zx && \
+	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).7-src.tar.gz | tar -zx && \
 	for f in `find . -name *.chm` ; do \
 	    echo "REMOVING NON-FREE FILE $$f" ; rm -f $$f ; \
 	done && \
-	tar -zcf $$CURDIR/tcl$(v)_$(v).5+dfsg.orig.tar.gz tcl$(v).5 && \
+	tar -zcf $$CURDIR/tcl$(v)_$(v).7+dfsg.orig.tar.gz tcl$(v).7 && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
