## tcl8.6 8.6.8+dfsg

=== debian/changelog ===
tcl8.6 (8.6.8+dfsg-3) unstable; urgency=medium

  * Add a patch by Aurelien Jarno, which disables linking to libieee because
    it'll be removed from glibc starting from version 2.27 (closes: #890243).
  * Fix spelling errors in a few patch descriptions.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Feb 2018 11:31:12 +0300

tcl8.6 (8.6.8+dfsg-2) unstable; urgency=medium

  * Removed the libtcl8.6-dbg package which is no longer necessary, as
    there is an automatically created mechanism for creating debug packages
    (closes: #885895).
  * Bumped standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 04 Jan 2018 15:09:11 +0300

tcl8.6 (8.6.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Replaced the libtcl8.6-dbg package priority to optional.
  * Bumped standards version to 4.1.2.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 25 Dec 2017 08:44:35 +0300
