=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.tcl.tk/
 
 Package: tcl8.6
@@ -37,19 +37,6 @@
  code which allows one to run Tcl-enabled applications.  This version
  includes thread support.
 
-Package: libtcl8.6-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libtcl8.6 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
-Description: Symbol files for libtcl8.6
- Tcl is a powerful, easy-to-use, embeddable, cross-platform interpreted
- scripting language.  This package contains the debug symbols for libtcl8.6,
- to assist in debugging applications built with tcl8.6.  You will not
- normally need to install this package.
-
 Package: tcl8.6-dev
 Section: libdevel
 Priority: optional
