=== debian/rules ===
--- 
+++ 
@@ -117,10 +117,6 @@
 	     fi ; \
 	  done
 
-override_dh_strip:
-	dh_strip -plibtcl$(v) --dbg-package=libtcl$(v)-dbg
-	dh_strip -a -Nlibtcl$(v)
-
 override_dh_makeshlibs:
 	dh_makeshlibs -a -Xtcltest
 
@@ -132,12 +128,12 @@
 	TMPDIR=`mktemp -d /tmp/tcl$(v).XXXXXX` && \
 	cd $$TMPDIR && \
 	wget -O - \
-	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).7-src.tar.gz | tar -zx && \
+	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).8-src.tar.gz | tar -zx && \
 	for f in `find . -name *.chm` ; do \
 	    echo "REMOVING NON-FREE FILE $$f" ; rm -f $$f ; \
 	done && \
-	tar -zcf $$CURDIR/tcl$(v)_$(v).7+dfsg.orig.tar.gz tcl$(v).7 && \
+	tar -zcf $$CURDIR/tcl$(v)_$(v).8+dfsg.orig.tar.gz tcl$(v).8 && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
-	override_dh_strip override_dh_makeshlibs override_dh_shlibdeps get-orig-source
+	override_dh_makeshlibs override_dh_shlibdeps get-orig-source
