## tcl8.6 8.6.9+dfsg

=== debian/changelog ===
tcl8.6 (8.6.9+dfsg-2) unstable; urgency=medium

  * Install the pkgconfig script tcl8.6.pc into the tcl8.6-dev package
    (closes: #923079).
  * Bump standards version to 4.3.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Feb 2019 00:41:46 +0300

tcl8.6 (8.6.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, remove no longer necessary patch that disabled linking to
    libieee.
  * Remove a few symbols from debian/libtcl8.6.symbols.
  * Add breaks nsf (<< 2.2.0) to the libtcl8.6 headers.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 12 Dec 2018 09:14:26 +0300

tcl8.6 (8.6.8+dfsg-4) unstable; urgency=medium

  * Bump the debhelper compatibility level to 10.
  * Add the Salsa VCS headers.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 25 Mar 2018 14:39:43 +0300
