=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>= 1.16.1~), zlib1g-dev
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 10.0.0), dpkg-dev (>= 1.16.1~), zlib1g-dev
+Standards-Version: 4.3.0
 Homepage: http://www.tcl.tk/
+Vcs-Browser: https://salsa.debian.org/tcltk-team/tcl8.6
+Vcs-Git: https://salsa.debian.org/tcltk-team/tcl8.6.git
 
 Package: tcl8.6
 Section: interpreters
@@ -28,6 +30,7 @@
 Depends: tzdata, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: tcl8.6 (<< 8.6.0-2), tcl74 (<= 7.4p3-2)
 Replaces: tcl8.6 (<< 8.6.0-2)
+Breaks: nsf (<< 2.2.0)
 Suggests: tcl8.6
 Provides: libtcl
 Multi-Arch: same
