=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,7 @@
 	cp unix/libtcl$(v).a $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)
 	install -d -m 755 $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)
 	mv $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.sh $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/tcl$(v)
+	mv $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/tcl.pc $(DIR)/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/tcl$(v).pc
 	install -d -m 755 $(DIR)/usr/share/aclocal
 	cp unix/tcl.m4 $(DIR)/usr/share/aclocal/tcl$(v).m4
 	rm -f $(DIR)/usr/share/tcltk/tcl$(v)/ldAix
@@ -128,11 +129,11 @@
 	TMPDIR=`mktemp -d /tmp/tcl$(v).XXXXXX` && \
 	cd $$TMPDIR && \
 	wget -O - \
-	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).8-src.tar.gz | tar -zx && \
+	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).9-src.tar.gz | tar -zx && \
 	for f in `find . -name *.chm` ; do \
 	    echo "REMOVING NON-FREE FILE $$f" ; rm -f $$f ; \
 	done && \
-	tar -zcf $$CURDIR/tcl$(v)_$(v).8+dfsg.orig.tar.gz tcl$(v).8 && \
+	tar -zcf $$CURDIR/tcl$(v)_$(v).9+dfsg.orig.tar.gz tcl$(v).9 && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
