## tcl8.6 8.6.10+dfsg

=== debian/changelog ===
tcl8.6 (8.6.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, remove no longer necessary ones.
  * Add a few symbols to debian/libtcl8.6.symbols.
  * Replace README by README.md in docs to install.
  * Bump standards version to 4.4.1.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Nov 2019 17:29:42 +0300
