=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 10.0.0), dpkg-dev (>= 1.16.1~), zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://www.tcl.tk/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/tcl8.6
 Vcs-Git: https://salsa.debian.org/tcltk-team/tcl8.6.git
