=== debian/rules ===
--- 
+++ 
@@ -129,11 +129,11 @@
 	TMPDIR=`mktemp -d /tmp/tcl$(v).XXXXXX` && \
 	cd $$TMPDIR && \
 	wget -O - \
-	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).9-src.tar.gz | tar -zx && \
+	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).10-src.tar.gz | tar -zx && \
 	for f in `find . -name *.chm` ; do \
 	    echo "REMOVING NON-FREE FILE $$f" ; rm -f $$f ; \
 	done && \
-	tar -zcf $$CURDIR/tcl$(v)_$(v).9+dfsg.orig.tar.gz tcl$(v).9 && \
+	tar -zcf $$CURDIR/tcl$(v)_$(v).10+dfsg.orig.tar.gz tcl$(v).10 && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
