## tcl8.6 8.6.11+dfsg

=== debian/changelog ===
tcl8.6 (8.6.11+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add a few symbols to debian/libtcl8.6.symbols.
  * Bump standards version to 4.5.1.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 03 Jan 2021 22:09:39 +0300
