=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 10.0.0), dpkg-dev (>= 1.16.1~), zlib1g-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 12.0.0), dpkg-dev (>= 1.16.1~), zlib1g-dev
+Standards-Version: 4.5.1
 Homepage: http://www.tcl.tk/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/tcl8.6
 Vcs-Git: https://salsa.debian.org/tcltk-team/tcl8.6.git
