## tcl8.6 8.6.12+dfsg

=== debian/changelog ===
tcl8.6 (8.6.12+dfsg-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 25 Mar 2022 10:58:49 +0100

tcl8.6 (8.6.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility level to 12.
  * Bump standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 06 Nov 2021 17:27:32 +0300
