=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,9 @@
 
 override_dh_auto_clean:
 	[ ! -f unix/Makefile ] || $(MAKE) -C unix distclean
+
+override_dh_autoreconf:
+	dh_autoreconf autoreconf -- -f -i unix
 
 override_dh_auto_configure:
 	# So so ugly but it works...
@@ -129,12 +132,12 @@
 	TMPDIR=`mktemp -d /tmp/tcl$(v).XXXXXX` && \
 	cd $$TMPDIR && \
 	wget -O - \
-	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).11-src.tar.gz | tar -zx && \
+	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).12-src.tar.gz | tar -zx && \
 	for f in `find . -name *.chm` ; do \
 	    echo "REMOVING NON-FREE FILE $$f" ; rm -f $$f ; \
 	done && \
-	tar -zcf $$CURDIR/tcl$(v)_$(v).11+dfsg.orig.tar.gz tcl$(v).11 && \
+	tar -zcf $$CURDIR/tcl$(v)_$(v).12+dfsg.orig.tar.gz tcl$(v).12 && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
-	override_dh_makeshlibs override_dh_shlibdeps get-orig-source
+	override_dh_makeshlibs override_dh_shlibdeps get-orig-source override_dh_autoreconf
