=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
  http://sf.net/tcl/tcl-core(8\.6\.\d+)-src\.tar\.gz
