## tcl8.6 8.6.13+dfsg

=== debian/changelog ===
tcl8.6 (8.6.13+dfsg-2) unstable; urgency=medium

  * Drop the useless menu item.
  * Bump the debhelper compatibility level to 13.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 01 Feb 2023 12:25:12 +0300

tcl8.6 (8.6.13+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.6.1.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 25 Nov 2022 14:08:37 +0300
