=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: tcl8.6
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
+Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 12.0.0), dpkg-dev (>= 1.16.1~), zlib1g-dev
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.16.1~), zlib1g-dev
+Standards-Version: 4.6.1
 Homepage: http://www.tcl.tk/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/tcl8.6
 Vcs-Git: https://salsa.debian.org/tcltk-team/tcl8.6.git
