## tcl8.6 8.6.14+dfsg

=== debian/changelog ===
tcl8.6 (8.6.14+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:26:43 +0000

tcl8.6 (8.6.14+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add a few symbols to debian/libtcl8.6.symbols.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 02 Mar 2024 15:32:57 +0300
