## tcl8.6 8.6.15+dfsg

=== debian/changelog ===
tcl8.6 (8.6.15+dfsg-2) unstable; urgency=medium

  * Change the TCL_PACKAGE_PATH in debian/rules to address its new format
    introduced in 8.6.15 (closes: #1082652).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 24 Sep 2024 10:29:06 +0300

tcl8.6 (8.6.15+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 23 Sep 2024 12:29:35 +0300
