=== debian/rules ===
--- 
+++ 
@@ -37,9 +37,7 @@
 	# So so ugly but it works...
 	touch generic/tclStubInit.c
 	TCL_LIBRARY="/usr/share/tcltk/tcl$(v)" \
-	TCL_PACKAGE_PATH="/usr/local/lib/tcltk /usr/local/share/tcltk \
-			  /usr/lib/tcltk/$(DEB_HOST_MULTIARCH) /usr/lib/tcltk /usr/share/tcltk \
-			  /usr/lib/tcltk/tcl$(v) /usr/lib" \
+	TCL_PACKAGE_PATH="/usr/local/lib/tcltk:/usr/local/share/tcltk:/usr/lib/tcltk/$(DEB_HOST_MULTIARCH):/usr/lib/tcltk:/usr/share/tcltk:/usr/lib/tcltk/tcl$(v):/usr/lib" \
 	CC="$(CC)" \
 	CFLAGS="$(CFLAGS)" \
 	CPPFLAGS="$(CPPFLAGS)" \
@@ -132,11 +130,11 @@
 	TMPDIR=`mktemp -d /tmp/tcl$(v).XXXXXX` && \
 	cd $$TMPDIR && \
 	wget -O - \
-	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).14-src.tar.gz | tar -zx && \
+	    http://prdownloads.sourceforge.net/tcl/tcl-core$(v).15-src.tar.gz | tar -zx && \
 	for f in `find . -name *.chm` ; do \
 	    echo "REMOVING NON-FREE FILE $$f" ; rm -f $$f ; \
 	done && \
-	tar -zcf $$CURDIR/tcl$(v)_$(v).14+dfsg.orig.tar.gz tcl$(v).14 && \
+	tar -zcf $$CURDIR/tcl$(v)_$(v).15+dfsg.orig.tar.gz tcl$(v).15 && \
 	rm -rf $$TMPDIR
 
 .PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_install \
