## tcl8.6 8.6.16+dfsg

=== debian/changelog ===
tcl8.6 (8.6.16+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 09 Jan 2025 13:15:04 +0300
