## tcl8.6 8.6.17+dfsg

=== debian/changelog ===
tcl8.6 (8.6.17+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 18 Aug 2025 13:58:41 +0300
